> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/initiate-workflow.md).

# Initiate Workflow

## POST /api/Public/InitiateWorkflow/initiate

> Initiate workflow

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateWorkflow"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateWorkFlowData":{"required":["templateId"],"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"workflowName":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"workflowType":{"type":"integer","format":"int32"},"documentIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"signatories":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SignatoryDetail"},"nullable":true},"eSignaturePIN":{"type":"string","nullable":true},"hsmCertificateId":{"type":"integer","format":"int32"},"eSignParams":{"nullable":true},"linkedWorkflowId":{"type":"integer","format":"int32"},"sendMail":{"type":"boolean"},"notifyCustomer":{"type":"boolean"},"checkEmailNotify":{"type":"boolean"},"enableAutoClosePopup":{"type":"boolean"},"redirectURL":{"type":"string","nullable":true},"envelopeExpiry":{"type":"string","format":"date-time","nullable":true},"reminderFrequency":{"type":"integer","format":"int32","nullable":true},"peruriParams":{"type":"string","nullable":true},"geoTagging":{"nullable":true},"initials":{"nullable":true},"location":{"nullable":true},"reason":{"type":"string","nullable":true},"stampDetails":{"nullable":true},"listAttachmentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AttachmentDetails"},"nullable":true},"signerAttachmentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SignerAttachmentDetail"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.SignatoryDetail":{"required":["emailId","subscriberId"],"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"emailId":{"minLength":1,"type":"string","format":"email"},"name":{"type":"string","nullable":true},"signingOrder":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.AttachmentDetails":{"required":["base64fileData","documentName"],"type":"object","properties":{"base64fileData":{"minLength":1,"type":"string"},"documentName":{"minLength":1,"type":"string"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.SignerAttachmentDetail":{"required":["base64FileData","documentName"],"type":"object","properties":{"base64FileData":{"minLength":1,"type":"string"},"documentName":{"minLength":1,"type":"string"},"description":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InitiateWorkflow/initiate":{"post":{"tags":["InitiateWorkflow"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateWorkFlowData"}}}},"responses":{"200":{"description":"OK"}},"summary":"Initiate workflow","operationId":"post_InitiateWorkflow_initiate"}}}}
```
